<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		 var caja=function(a,b,c){

             
               var unidad="px";

            
               
               this.ancho=a;
               this.alto=b;
               this.texto=c;

             
               
               function concatenar(){

                  this.ancho=this.ancho+unidad;
                  this.alto=this.alto+unidad;

               };
           
               
               this.mensaje=function(){

                      this.texto="esto es un ejemplo";

               };

               this.mostrar=function(){

               	    alert(this.texto);
               };

		};

       // creamos el objeto
         
         var objeto=new caja(10,20,"hola mundo");
       
          console.log(objeto.alto);
          objeto.mostrar();
          
	</script>
<body>
	
</body>
</html>